Send Communication: Funnel
POST
https://api.propexo.com/crm/v1/communications/funnel/sendAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
community_idstringrequired
The Propexo unique identifier for the community
prospect_idstringrequired
The Propexo unique identifier for the prospect
communication_typestringrequired
Show 3 enum values
EMAILSMSDEFAULTmessage_subjectstringrequired
The subject of the message
Possible values: non-empty
message_bodystringrequired
The body of the message
Possible values: non-empty
to_addressesstring[]required
The address(es) the communication will be sent to
Possible values: >= 1
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
community_idstringrequired
The Propexo unique identifier for the community
prospect_idstringrequired
The Propexo unique identifier for the prospect
communication_typestringrequired
Show 3 enum values
EMAILSMSDEFAULTmessage_subjectstringrequired
The subject of the message
Possible values: non-empty
message_bodystringrequired
The body of the message
Possible values: non-empty
to_addressesstring[]required
Possible values: non-empty
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/communications/funnel/send
curl -X POST https://api.propexo.com/crm/v1/communications/funnel/send \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"communication_type": "EMAIL",
"message_subject": "string",
"message_body": "string",
"to_addresses": [
"string"
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"communication_type": "EMAIL",
"message_subject": "string",
"message_body": "string",
"to_addresses": [
"string"
]
}
}